| Class StringEnumerator Class to enumerate all strings within a given edit/Hamming distance.
StringEnumerator
Hamming StringEnumerator | Levenshtein StringEnumerator
StringEnumerator<TString, TSpec> Include Headers seqan/misc/edit_environment.h Parameters
TString | Type of the string to enumerate the environment of.
TSpec | Specialization.
Specializations
Hamming StringEnumerator | Enumerate all strings within a given edit distance of a "center string".
Levenshtein StringEnumerator | Enumerate all strings within a given edit distance of a "center string".
Metafunctions
Difference | Type of an object that stores the difference between two iterators.
Host | Type of the object a given object depends on.
Iterator | Type of iterator objects that are used to traverse the container.
Position | Type of an object that represents a position in a container.
Reference | Reference type.
Size | Type of an object that is suitable to hold size information.
Value | Type of the items in the container or behind an iterator.
Data Members
trim | Indicate whether to ignore substitutions in first or last character of string in Levenshtein mode (optimization for approximate search).
Member Functions
StringEnumerator | Constructor
Functions
begin | The begin of a container.
end | The end of a container.
length | The number of items/characters.
Examples SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56